net.sf.jasperreports.charts.design

## Class JRDesignTimePeriodDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignTimePeriodDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRTimePeriodDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignTimePeriodDataset
      extends JRDesignChartDataset
      implements JRTimePeriodDataset

  Version:
    $Id: JRDesignTimePeriodDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_TIME_PERIODS_SERIES`
    `static long` | `serialVersionUID`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignTimePeriodDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTimePeriodSeries(int index, JRTimePeriodSeries timePeriodSeries)`
    `void` | `addTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)`
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRTimePeriodSeries[]` | `getSeries()`
    `java.util.List<JRTimePeriodSeries>` | `getSeriesList()`
    `JRTimePeriodSeries` | `removeTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### PROPERTY_TIME_PERIODS_SERIES

          public static final java.lang.String PROPERTY_TIME_PERIODS_SERIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignTimePeriodDataset

          public JRDesignTimePeriodDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getSeries

          public JRTimePeriodSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRTimePeriodDataset`
      Returns:
        an array of `JRTimePeriodSeries` objects representing the series for the Time Period chart
      See Also:
        `JRTimePeriodSeries`

    - #### getSeriesList

          public java.util.List<JRTimePeriodSeries> getSeriesList()

    - #### addTimePeriodSeries

          public void addTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)

    - #### addTimePeriodSeries

          public void addTimePeriodSeries(int index,
                                 JRTimePeriodSeries timePeriodSeries)

    - #### removeTimePeriodSeries

          public JRTimePeriodSeries removeTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com